Stuck to attached when a volume is detached from an instance

Bug #1004382 reported by Vincent Hou on 2012-05-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Medium
Rongze Zhu
OpenStack Compute (nova)
High
Rongze Zhu
OpenStack Dashboard (Horizon)
Wishlist
Gabriel Hurley
python-cinderclient
Undecided
Rongze Zhu

Bug Description

When I try detach a volume from a running instance from the horizon interface, the status of the volume is still attached, even though the volume is successfully detached.
When I refresh the page, the status of the volume become available.

Changed in horizon:
assignee: nobody → Gabriel Hurley (gabriel-hurley)
importance: Undecided → Wishlist
status: New → Confirmed
Gabriel Hurley (gabriel-hurley) wrote :

Nova Volume/Cinder doesn't change the state of the volume record in the DB when they receive the request. The request happens asynchronously so there's no indication to Horizon of what happened. Ideally we would get the async response, but prior to sending that response the volume's record would change the status to "detaching" or something of the sort.

For now Horizon can slightly change the verb to make things clearer, but the larger fix here isn't something unilateral.

Changed in horizon:
milestone: none → folsom-3
Changed in cinder:
status: New → Confirmed
importance: Undecided → Medium
Gabriel Hurley (gabriel-hurley) wrote :

Horizon says "detaching" instead of "detached". I think this is about as clear as we can/need to be from our end. The rest is on Nova/Cinder.

Changed in horizon:
status: Confirmed → Fix Committed
Thierry Carrez (ttx) on 2012-08-16
Changed in horizon:
status: Fix Committed → Fix Released

Fix proposed to branch: master
Review: https://review.openstack.org/11625

Changed in nova:
assignee: nobody → Rongze Zhu (zrzhit)
status: New → In Progress
Rongze Zhu (zrzhit) on 2012-08-20
Changed in cinder:
assignee: nobody → Rongze Zhu (zrzhit)

Fix proposed to branch: master
Review: https://review.openstack.org/11713

Changed in cinder:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/11713
Committed: http://github.com/openstack/cinder/commit/5475debcf706e87b1df926d489b72074662614f3
Submitter: Jenkins
Branch: master

commit 5475debcf706e87b1df926d489b72074662614f3
Author: Rongze Zhu <email address hidden>
Date: Tue Aug 21 15:07:02 2012 +0000

    Add 'detaching' to volume status

    Fixes bug #1004382

    When attach a volume , the volume status is "available -> attaching ->
    in-use", But when detaching a volume , the volume status is "in-use ->
    available". So We need 'detaching' volume status, it make the change of
    state of the volume more clearly.

    Change-Id: Idf8c38413135bf8e8cd025f11937f8c7250557c1

Changed in cinder:
status: In Progress → Fix Committed
Mark McLoughlin (markmc) on 2012-09-07
Changed in nova:
milestone: none → folsom-rc1
importance: Undecided → High
Rongze Zhu (zrzhit) on 2012-09-11
Changed in python-cinderclient:
assignee: nobody → Rongze Zhu (zrzhit)

Fix proposed to branch: master
Review: https://review.openstack.org/12774

Changed in python-cinderclient:
status: New → In Progress

Reviewed: https://review.openstack.org/12774
Committed: http://github.com/openstack/python-cinderclient/commit/a4d46014325f4f34ac9db82c863f5764c8560a3e
Submitter: Jenkins
Branch: master

commit a4d46014325f4f34ac9db82c863f5764c8560a3e
Author: Rongze Zhu <email address hidden>
Date: Tue Sep 11 08:26:59 2012 +0000

    Add begin_detaching and roll_detaching functions

    Fixes bug #1004382

    If nova call nova.volume.cinder.API.begin_detaching and
    nova.volume.cinder.API.roll_detaching, it need python_cinderclient
    support the functions.

    Change-Id: If5d00a7f7991d78243e76a6e22031c185caee80a

Changed in python-cinderclient:
status: In Progress → Fix Committed

Fix proposed to branch: master
Review: https://review.openstack.org/12846

Changed in python-cinderclient:
status: Fix Committed → In Progress

Reviewed: https://review.openstack.org/11625
Committed: http://github.com/openstack/nova/commit/ca9428037a33cf970d4d0c229121ee526614885a
Submitter: Jenkins
Branch: master

commit ca9428037a33cf970d4d0c229121ee526614885a
Author: Rongze Zhu <email address hidden>
Date: Tue Sep 11 07:53:35 2012 +0000

    Add 'detaching' to volume status

    Fixes bug #1004382

    When attach a volume , the volume status is "available -> attaching ->
    in-use", But when detaching a volume , the volume status is "in-use ->
    available". So We need 'detaching' volume status, it make the change of
    state of the volume more clearly.

    Change-Id: I544220c206899307294d50e26679f5351fdc0cd7

Changed in nova:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/12846
Committed: http://github.com/openstack/python-cinderclient/commit/5997e233e165fb865b350577aaa8e15366846866
Submitter: Jenkins
Branch: master

commit 5997e233e165fb865b350577aaa8e15366846866
Author: Rongze Zhu <email address hidden>
Date: Wed Sep 12 02:55:45 2012 +0000

    Patch for bug #1004382

    Related change is If5d00a7f7991d78243e76a6e22031c185caee80a

    Add new action in tests.v1.fakes.FakeHTTPClient, so it allow to test
    os-begin_detaching and os-roll_detaching.
    Fix typo in tests/v1/test_volumes.py.

    Change-Id: I5c4cd9cc56a7235036b6bab6641554b5919ffbb6

Changed in python-cinderclient:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2012-09-18
Changed in cinder:
milestone: none → folsom-rc1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-09-19
Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-09-27
Changed in cinder:
milestone: folsom-rc1 → 2012.2
Thierry Carrez (ttx) on 2012-09-27
Changed in horizon:
milestone: folsom-3 → 2012.2
Thierry Carrez (ttx) on 2012-09-27
Changed in nova:
milestone: folsom-rc1 → 2012.2
Changed in python-cinderclient:
milestone: none → 1.3.1
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers